Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Create a new entity. An entity is a class of instances that can be uniquely identified and measured. A typical example is a user, but can also be something more abstract like a bank transaction.
curl --request POST \
--url https://metrics.eu.confidence.dev/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}
'{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The id to the give the created entity. If a not set a random one will be generated.
Human friendly name of the entity.
The type of the identifier in the data warehouse storage.
COLUMN_TYPE_UNSPECIFIED, COLUMN_TYPE_STRING, COLUMN_TYPE_INT32, COLUMN_TYPE_INT64, COLUMN_TYPE_DOUBLE, COLUMN_TYPE_BOOLEAN, COLUMN_TYPE_DATE, COLUMN_TYPE_TIMESTAMP, COLUMN_TYPE_BYTES, COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE, COLUMN_TYPE_DECIMAL, COLUMN_TYPE_HLL_SKETCH Unique identifier of the entity.
For example: entities/0smva5nxuhv4yts6paxt
Custom labels for this entity.
Show child attributes
The owner of the resource. If not set will default to the creator.
The default assignment table for this entity.
Returns a Entity.
Description of a uniquely identifiable entity.
Human friendly name of the entity.
The type of the identifier in the data warehouse storage.
COLUMN_TYPE_UNSPECIFIED, COLUMN_TYPE_STRING, COLUMN_TYPE_INT32, COLUMN_TYPE_INT64, COLUMN_TYPE_DOUBLE, COLUMN_TYPE_BOOLEAN, COLUMN_TYPE_DATE, COLUMN_TYPE_TIMESTAMP, COLUMN_TYPE_BYTES, COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE, COLUMN_TYPE_DECIMAL, COLUMN_TYPE_HLL_SKETCH Time when the entity was first created.
Time when the entity was last updated.
Reference to the identity that created this entity.
Reference to the identity that last updated this entity.
Unique identifier of the entity.
For example: entities/0smva5nxuhv4yts6paxt
Custom labels for this entity.
Show child attributes
The owner of the resource. If not set will default to the creator.
The default assignment table for this entity.
Was this page helpful?
curl --request POST \
--url https://metrics.eu.confidence.dev/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}
'{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}